Bug 1021609 - [amqp1.0] Subscription queues are not removed on link close (using reliable link)
[amqp1.0] Subscription queues are not removed on link close (using reliable l...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
unspecified Severity high
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-10-21 11:46 EDT by Petr Matousek
Modified: 2015-01-21 07:57 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:57:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5248 None None None Never

  None (edit)
Description Petr Matousek 2013-10-21 11:46:48 EDT
Description of problem:

Subscription queues are not removed when using reliable link, even if the link is properly closed.

Version-Release number of selected component (if applicable):
qpid-cpp-*-0.22-20

How reproducible:
100%

Steps to Reproduce:
1. drain --connection-options "{protocol: 'amqp1.0'}" 'amq.direct'
2. qpid-config queues
3. the subscription queue was not removed

Actual results:
The subscription queue is not removed after the link is closed when using reliable link

Expected results:
The subscription queue is removed after the link is properly closed when using reliable link

Additional info:
Comment 1 Gordon Sim 2013-10-22 06:46:32 EDT
Fixed upstream: https://svn.apache.org/r1534594
Comment 4 Petr Matousek 2013-10-29 05:32:31 EDT
This issue has been fixed. Verified on rhel6.4 (i386, x86_64).

packages used for testing:
qpid-cpp-*-0.22-23.el6

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.